Skip to content

Set the destination channel for this integration

POST
/v1/integrations/slack/{id}/channel
curl --request POST \
--url https://api.monita.ai/v1/integrations/slack/example/channel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "channelId": "example", "channelName": "example" }'
id
required
string
Media typeapplication/json
object
channelId
required
string
channelName
required
string
Examplegenerated
{
"channelId": "example",
"channelName": "example"
}

OK

Media typeapplication/json
object
ok
required
boolean
label
required
string
Examplegenerated
{
"ok": true,
"label": "example"
}

Not found

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}

Slack rejected the test post

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}